Bug 86350 - CONTEXT MENU: Renaming 'Rotate Image' to 'Rotate & Flip' and add rotate and flip functions
Summary: CONTEXT MENU: Renaming 'Rotate Image' to 'Rotate & Flip' and add rotate and f...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Context-Menu Writer-Images
  Show dependency treegraph
 
Reported: 2014-11-16 20:35 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-10 14:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Context menu for image in Writer, Calc, Impress and Draw (52.89 KB, image/png)
2016-05-23 14:26 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-16 20:35:40 UTC
Presently in the image context menu, we have a submenu item titled 'Rotate Image' which has submenu entries for 'Rotate 90* Left' and 'Rotate 90* Right'. I'd like to suggest that we add 'Rotate 180*' so uses dont have to click one of the other options twice and also the Format > Flip functions of 'Flip Vertically' and 'Flip Horizontally'.
Comment 1 tommy27 2014-11-16 20:37:56 UTC
I agree. status NEW.
Comment 2 Heiko Tietze 2016-05-23 14:25:09 UTC
Only Writer has the rotate menu and lacks on flip. The image menu needs harmonization. So my proposal is:

<----->
Cut
Copy
Paste
-
Crop
Save...
Rotate and Flip > 90° left, 90° right, 180°, -, Flip vertically, Flip horizontally
Position and Size > Original Size, Position and Size...
Style > Area..., Line..., -, Edit Style... (Remark: Graphic Style is available only in Draw but should be also in the other apps)
-
(Writer, Calc) Anchor > To Page, Paragraph... / To Page, To Cell
Alignment > Align Left, Center Horizontal... / No selection possible
Arrange > Bring to Front, Forward One...
(Writer, Calc) Wrap > Wrap off, Page Wrap...
(Calc, Draw) Group > (Ungroup), Group (Remark 1: Currently, group is hidden when only one item is selected. Better disable the menu item like in Calc. Remark 2: Is it possible in  Writer as well?)
(Draw, Impress) Convert > To Curve, To Polygon...
-
(Impress) Interaction...
Insert Caption/Text... (Remark: Caption in Writer, all other Text)
<----->

Items to remove from the context menu:
(Writer) Properties... (Remark: No equivalent in other apps; Jumps to macro)
(Writer, Draw, Impress) Edit with External tool
(Writer, Draw, Impress) Replace...
(Writer, Draw, Impress) Compress...
(Calc) Edit Hyperlink...
(Calc) Assign Macro... (Remark: Although it's available in Writer it makes not much sense there.)

This might be an EASYHACK.
Comment 3 Heiko Tietze 2016-05-23 14:26:15 UTC
Created attachment 125242 [details]
Context menu for image in Writer, Calc, Impress and Draw
Comment 4 Heiko Tietze 2016-05-23 14:27:26 UTC
Setting component to UI since we have keyword needsUXEval now.
Comment 5 Samuel Mehrbrodt (CIB) 2016-06-16 15:32:20 UTC
This is definitely not an EasyHack.
The Rotate commands are only available in Writer.
They should probably go into Calc too.

I'm not sure about Draw/Impress. There rotation is handled differently. You can just rotate the image by double clicking on it and dragging it around.
Comment 6 Yousuf Philips (jay) (retired) 2017-05-04 16:25:35 UTC
Patch is in - https://gerrit.libreoffice.org/37253

For rotation commands to work elsewhere, separate bug has been filed (bug 107632).
Comment 7 Commit Notification 2017-05-10 14:08:14 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09b76cc3b35429c5ca4351f6e79742a0ea2befac

tdf#86350 Add flip commands to image context menu

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.